%define module	DateTime
%define name	perl-%{module}
%define version 0.27
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A date and time object in Perl
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://datetime.perl.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildRequires:	perl(DateTime::TimeZone)
BuildRequires:	perl(DateTime::Locale)
Provides:	perl(DateTimePP)
Provides:	perl(DateTimePPExtra)

%description
DateTime is a class for the representation of date/time combinations, and is
part of the Perl DateTime project.

It represents the Gregorian calendar, extended backwards in time before its
creation (in 1582). This is sometimes known as the "proleptic Gregorian
calendar". In this calendar, the first day of the calendar (the epoch), is the
first day of year 1, which corresponds to the date which was (incorrectly)
believed to be the birth of Jesus Christ.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README CREDITS
%{perl_vendorarch}/DateTime*.pm
%{perl_vendorarch}/DateTime/*
%{perl_vendorarch}/auto/*
%{_mandir}/*/*

%changelog
* Wed Feb 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.27-1mdk
- 0.27

* Mon Jan 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.26-1mdk
- 0.26

* Tue Jan 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.25-1mdk
- 0.25

* Tue Dec 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.24-1mdk
- 0.24

* Fri Dec 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.23-1mdk
- 0.23
- test during build

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.22-3mdk
- Rebuild for new perl

* Mon Aug 30 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.22-2mdk
- Add manually needed provides.

* Thu Aug 26 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.22-1mdk
- Initial MDK release.
